Composer item option to turn off annotations
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12794

Description

Currently, annotations on the map canvas are printed on all composer items. This obscures inset maps that may be meant to convey

location information or anything where annotations are not intended to be displayed. An option should be added to each composer map

item so that annotations can be turned off.

History

#1 - 2010-05-25 10:54 AM - Alex Mandel

Reclassified ticket to more appropriate Type and Priority. Would be nice to have in 1.5 but not a showstopper that prevents normal use of QGIS.

#2 - 2010-05-28 06:29 PM - John Tull

No, this is a bug and should remain as such. If you cannot create a subset/locator map, a basic feature of a GIS/cartographic solution, then something is

broken. The priority was misclassified in my original bug report, though.

#3 - 2010-11-12 01:49 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

This feature was added in commit:66d24374 (SVN r14550)

#4 - 2010-11-12 12:50 PM - John Tull

Thanks!
